Name:           python-flatdict
Version:        4.0.1
Release:        1%{?dist}
Summary:        Python module for interacting with nested dicts as a single level dict with delimited keys.

License:        BSD-3-Clause
URL:            https://github.com/gmr/flatdict
Source:         %{url}/archive/%{version}/flatdict-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
FlatDict and FlatterDict are a dict classes that allows for single level,
delimited key/value pair mapping of nested dictionaries. You can interact
with FlatDict and FlatterDict like a normal dictionary and access child
dictionaries as you normally would or with the composite key.}

%description %_description

%package -n python3-flatdict
Summary:        %{summary}

%description -n python3-flatdict %_description


%prep
%autosetup -p1 -n flatdict-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files flatdict


%check
%pytest tests.py


%files -n python3-flatdict -f %{pyproject_files}
%doc README.*


%changelog
* Tue Nov 1 2022 Tomáš Hrnčiar <thrnciar@redhat.com> - 4.0.1-1
- Initial package

